%define VERSION 5.20
%define  RELEASE 1

%ifarch x86_64
%define	_machine_type "MACHINETYPE=x86_64"
%define	_cflags "CFLAGS=-m64 -march=x86-64"
%define	_libsarch libs64
%define locallibs  /usr/lib
%else
%define	_machine_type "MACHINETYPE=i686"
%define	_cflags "CFLAGS=-m32 -march=i686"
%define	_libsarch libs32
%define locallibs      /usr/lib
%endif

%define common_dir cnrdrvcups-common-%{VERSION}
%define driver_dir cnrdrvcups-lb-%{VERSION}
%define utility_dir cnrdrvcups-utility-%{VERSION}
%define b_lib_dir %{_builddir}/lib
%define b_include_dir %{_builddir}/include

%define debug_package %{nil}

#==== introduction ============================================================================================

Summary: Canon UFR II / LIPSLX Printer Driver for Linux v%{VERSION}
Name: cnrdrvcups-lb
Version: %{VERSION}
Release: %{RELEASE}
License: See the LICENSE*.txt file.
# Copyright: Copyright CANON INC. 2004
Vendor: CANON INC.
Group: Applications/Publishing
Source0: cnrdrvcups-lb-%{version}-%{release}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root

%description 
Canon UFR II / LIPSLX Printer Driver for Linux. 
This UFR II / LIPSLX printer driver provides printing functions for Canon LBP/iR
printers operating under the CUPS (Common UNIX Printing System) environment.

%package -n cnrdrvcups-ufr2-uk
Summary: Canon UFR II Printer Driver for Linux v%{VERSION}
License: See the LICENSE*.txt file.
Vendor: CANON INC.
Group: Applications/Publishing
Obsoletes: cnrcupsiradv715zk, cnrcupsiradv615zk, cnrcupsiradv525zk, cnrcupsiradv7153zk, cnrcupsiradv6153zk, cnrcupsiradv5253zk, cnrcupsiradv85053zk, cnrcupsiradv85853zk 
Obsoletes: cnrcupsiradv65753zk, cnrcupsiradv65553zk, cnrcupsiradvc35203zk, cnrcupsiradvc35253zk, cnrcupsiradvc75803zk,cnrcupsiradvc75653zk, cnrcupsiradvc2563zk, cnrcupsiradvc55353zk 
Obsoletes: cnrcupsiradvc55503zk, cnrcupsiradv45453zk, cnrcupsiradv45253zk, cnrcupsiradvc4753zk, cnrcupswg7000zk, cnrcupswg7000zzk, cnrcupslbp853czk, cnrcupslbp852czk, cnrcupsd1600zk
Obsoletes: cnrcupsiprc165zk, cnrcupsir1643izk, cnrcupsir1643pzk
Obsoletes: cnrcupslbp323zk, cnrcupslbp621czk, cnrcupslbp622czk, cnrcupslbp663czk, cnrcupslbp664czk, cnrcupsmf440zk
Obsoletes: cnrcupsmf540zk, cnrcupsmf641czk, cnrcupsmf642czk, cnrcupsmf645czk, cnrcupsmf741czk, cnrcupsmf742czk, cnrcupsmf745czk
%description -n cnrdrvcups-ufr2-uk
Canon UFR II Printer Driver for Linux. 
This UFR II printer driver provides printing functions for Canon LBP/iR
printers operating under the CUPS (Common UNIX Printing System) environment.

%package -n cnrdrvcups-ufr2-us
Summary: Canon UFR II Printer Driver for Linux v%{VERSION}
License: See the LICENSE*.txt file.
Vendor: CANON INC.
Group: Applications/Publishing
Obsoletes: cnrcupsiradv715zs, cnrcupsiradv615zs, cnrcupsiradv525zs, cnrcupsiradv7153zs, cnrcupsiradv6153zs, cnrcupsiradv5253zs, cnrcupsiradv85053zs, cnrcupsiradv85853zs 
Obsoletes: cnrcupsiradv65753zs, cnrcupsiradv65553zs, cnrcupsiradvc35253zs, cnrcupsiradvc75803zs, cnrcupsiradvc75653zs, cnrcupsiradvc2563zs, cnrcupsiradvc55353zs, cnrcupsiradvc55503zs 
Obsoletes: cnrcupsiradv45453zs, cnrcupsiradv45253zs, cnrcupsiradvc4753zs, cnrcupswg7000zs, cnrcupswg7000zzs, cnrcupsd1600zs
Obsoletes: cnrcupsiprc165zs, cnrcupsir1643izs, cnrcupsir1643pzs, cnrcupslbp323zs
Obsoletes: cnrcupslbp622czs, cnrcupslbp664czs, cnrcupsmf440zs, cnrcupsmf540zs, cnrcupsmf641czs, cnrcupsmf642czs, cnrcupsmf741czs, cnrcupsmf745czs
%description -n cnrdrvcups-ufr2-us
Canon UFR II Printer Driver for Linux. 
This UFR II printer driver provides printing functions for Canon LBP/iR
printers operating under the CUPS (Common UNIX Printing System) environment.

%package -n cnrdrvcups-lipslx
Summary: Canon LIPSLX Printer Driver for Linux v%{VERSION}
License: See the LICENSE*.txt file.
Vendor: CANON INC.
Group: Applications/Publishing
Obsoletes: cnrcupsiradv85053zj, cnrcupsiradv85853zj, cnrcupsiradv65753zj, cnrcupsiradv65653zj, cnrcupsiradv65603zj, cnrcupsiradvc35203zj, cnrcupsiradvc75803zj, cnrcupsiradvc75653zj 
Obsoletes: cnrcupsiradvc3563zj, cnrcupsiradvc55353zj, cnrcupsiradvc55503zj, cnrcupsiradv45453zj, cnrcupsiradv45253zj, cnrcupswg7000zj, cnrcupswg7000zzj, cnrcupslbp853czj, cnrcupslbp852czj, cnrcupslbp851czj
Obsoletes: cnrcupsiprc165zj, cnrcupslbp161zj, cnrcupslbp321zj, cnrcupslbp621czj, cnrcupslbp622czj
Obsoletes: cnrcupslbp661czj, cnrcupslbp662czj, cnrcupsmf440zj, cnrcupsmf540zj, cnrcupsmf642czj, cnrcupsmf741czj, cnrcupsmf745czj
%description -n cnrdrvcups-lipslx
Canon LIPSLX Printer Driver for Linux. 
This LIPSLX printer driver provides printing functions for Canon LBP/iR
printers operating under the CUPS (Common UNIX Printing System) environment.

#==== prep section ============================================================================================
%prep

%setup -q

##### common #####
cd %{_builddir}/%{common_dir}
cd buftool
./autogen.sh %{_machine_type} %{_cflags} --prefix=%{_prefix} --libdir=%{_libdir} --enable-progpath=%{_bindir} --disable-shared --enable-static

cd ../cngplp
./autogen.sh %{_machine_type} %{_cflags} --prefix=%{_prefix} --libdir=%{locallibs} COMMON_SUFFIX=2

cd ../backend
./autogen.sh %{_machine_type} %{_cflags} --prefix=%{_prefix} --libdir=%{_libdir} MODULE_SUFFIX=ufr2

cd ../rasterfilter
./autogen.sh %{_machine_type} %{_cflags} --prefix=%{_prefix} --libdir=%{_libdir}

cd ../cnjbig
./autogen.sh %{_machine_type} %{_cflags} --prefix=%{_prefix}
cd ..

cd ..
##### driver #####
cd %{_builddir}/%{driver_dir}

cd cpca
./autogen.sh %{_machine_type} %{_cflags} --prefix=%{_prefix} --libdir=%{_libdir} --enable-progpath=%{_bindir}

cd ../cngplp
./autogen.sh %{_machine_type} %{_cflags} --prefix=%{_prefix} --libdir=%{_libdir}

cd files
./autogen.sh %{_machine_type} %{_cflags}
cd ..

cd ../pdftocpca
./autogen.sh %{_machine_type} %{_cflags} --libdir=%{_libdir}
cd ..

cd ..


##### utility #####
cd ${RPM_BUILD_DIR}/%{utility_dir}
cd ..

#==== build section ============================================================================================
%build
cd ${RPM_BUILD_DIR}/%{common_dir}
cd buftool
make
cp libbuftool.a %{b_lib_dir}/
cp buftool.h %{b_include_dir}/
cp buflist.h %{b_include_dir}/
cd ..

make 

cd ..

cd ${RPM_BUILD_DIR}/%{driver_dir}
make 
cd ..

#==== install section ============================================================================================
%install

mkdir -pv ${RPM_BUILD_ROOT}%{_libdir}
mkdir -pv ${RPM_BUILD_ROOT}%{_bindir}
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/bin
mkdir -pv ${RPM_BUILD_ROOT}%{_libdir}
mkdir -pv ${RPM_BUILD_ROOT}%{_libdir}/cups/filter
mkdir -pv ${RPM_BUILD_ROOT}%{_libdir}/cups/backend/
mkdir -pv ${RPM_BUILD_ROOT}%{_includedir}
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/share/locale/ja/LC_MESSAGES
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/share/cups/usb
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/share/cups/model
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/share/caepcm/ufr2
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/share/cnpkbidir
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/share/ufr2filterr
# cngplp
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/share/cngplp2/
mkdir -pv ${RPM_BUILD_ROOT}%{locallibs}
#utility
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/share/cnsetuputil2
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/share/locale/ja/LC_MESSAGES
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/share/locale/de/LC_MESSAGES
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/share/locale/es/LC_MESSAGES
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/share/locale/fr/LC_MESSAGES
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/share/locale/it/LC_MESSAGES
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/share/locale/zh_CN/LC_MESSAGES
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/share/locale/ko/LC_MESSAGES
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/share/locale/zh_TW/LC_MESSAGES

#### common ####
cd ${RPM_BUILD_DIR}
cd %{common_dir}
make install DESTDIR=${RPM_BUILD_ROOT} COMMON_SUFFIX=2

install -c -m 644 Rule/canon-laser-printer_ufr2.usb-quirks	${RPM_BUILD_ROOT}%{_prefix}/share/cups/usb

cd %{b_lib_dir}
install -c -m 755 %{_libsarch}/libcaiowrapufr2.so.1.0.0		${RPM_BUILD_ROOT}%{_libdir}
install -c -m 755 %{_libsarch}/libcaepcmufr2.so.1.0			${RPM_BUILD_ROOT}%{_libdir}

install -c -m 755 %{_libsarch}/libColorGearCufr2.so.2.0.0    ${RPM_BUILD_ROOT}%{_libdir}

install -c -m 644 data/ufr2/*.ICC	${RPM_BUILD_ROOT}%{_prefix}/share/caepcm/ufr2
install -c -m 644 data/ufr2/*.icc	${RPM_BUILD_ROOT}%{_prefix}/share/caepcm/ufr2
install -c -m 644 data/ufr2/*.PRF	${RPM_BUILD_ROOT}%{_prefix}/share/caepcm/ufr2

install -c -m 755 %{_libsarch}/libcanon_slimufr2.so.1.0.0		${RPM_BUILD_ROOT}%{_libdir}

cd ${RPM_BUILD_ROOT}%{_libdir}
ln -sf libcaepcmufr2.so.1.0			libcaepcmufr2.so.1
ln -sf libcaepcmufr2.so.1.0			libcaepcmufr2.so
ln -sf libcaiowrapufr2.so.1.0.0		libcaiowrapufr2.so.1
ln -sf libcaiowrapufr2.so.1.0.0		libcaiowrapufr2.so
ln -sf libcanon_slimufr2.so.1.0.0		libcanon_slimufr2.so.1
ln -sf libcanon_slimufr2.so.1.0.0		libcanon_slimufr2.so
ln -sf libColorGearCufr2.so.2.0.0   libColorGearCufr2.so.2
ln -sf libColorGearCufr2.so.2.0.0   libColorGearCufr2.so

cd -

cd ${RPM_BUILD_ROOT}%{_libdir}

cd ..

#### driver ####
cd ${RPM_BUILD_DIR}/%{driver_dir}
make install DESTDIR=${RPM_BUILD_ROOT}

install -c -m 644 ppd/CN*.ppd	${RPM_BUILD_ROOT}%{_prefix}/share/cups/model

cd %{b_lib_dir}/
install -c -m 4755 %{_libsarch}/cnpkmoduleufr2r 	${RPM_BUILD_ROOT}%{_bindir}
install -c -m  755 %{_libsarch}/cnpdfdrv 			${RPM_BUILD_ROOT}%{_bindir}

install -c -s -m 755 %{_libsarch}/libcanonufr2r.so.1.0.0  ${RPM_BUILD_ROOT}%{_libdir}
install -c -s -m 755 %{_libsarch}/libufr2filterr.so.1.0.0   ${RPM_BUILD_ROOT}%{_libdir}
install -c -s -m 755 %{_libsarch}/cnpkbidir   ${RPM_BUILD_ROOT}%{_bindir}
install -c -s -m 755 %{_libsarch}/libcaiocnpkbidir.so.1.0.0   ${RPM_BUILD_ROOT}%{_libdir}

install -c -s -m 755 %{_libsarch}/cnrsdrvufr2 	${RPM_BUILD_ROOT}%{_bindir}


install -c -m 644 data/ufr2/CnLB*	${RPM_BUILD_ROOT}%{_prefix}/share/caepcm/ufr2
install -c -m 644 %{_libsarch}/cnpkbidir_info*	${RPM_BUILD_ROOT}%{_prefix}/share/cnpkbidir
install -c -m 644 %{_libsarch}/ThLB*	${RPM_BUILD_ROOT}%{_prefix}/share/ufr2filterr

install -c -m 755 %{_libsarch}/libcnlbcmr.so.1.0			${RPM_BUILD_ROOT}%{_libdir}

cd ${RPM_BUILD_ROOT}%{_libdir}
ln -sf libcanonufr2r.so.1.0.0 libcanonufr2r.so
ln -sf libcanonufr2r.so.1.0.0 libcanonufr2r.so.1
ln -sf libufr2filterr.so.1.0.0 libufr2filterr.so
ln -sf libufr2filterr.so.1.0.0 libufr2filterr.so.1
ln -sf libcaiocnpkbidir.so.1.0.0 libcaiocnpkbidir.so
ln -sf libcaiocnpkbidir.so.1.0.0 libcaiocnpkbidir.so.1
ln -sf libcnlbcmr.so.1.0			libcnlbcmr.so.1
ln -sf libcnlbcmr.so.1.0			libcnlbcmr.so
cd -
cd ..

#### utility ####
cd ${RPM_BUILD_DIR}/%{utility_dir}
cd %{b_lib_dir}/
install -c -m 755 %{_libsarch}/cnsetuputil2	${RPM_BUILD_ROOT}%{_prefix}/bin

install -c -m 644 %{_libsarch}/ja/LC_MESSAGES/cnsetuputil2.mo       ${RPM_BUILD_ROOT}%{_prefix}/share/locale/ja/LC_MESSAGES
install -c -m 644 %{_libsarch}/de/LC_MESSAGES/cnsetuputil2.mo       ${RPM_BUILD_ROOT}%{_prefix}/share/locale/de/LC_MESSAGES
install -c -m 644 %{_libsarch}/es/LC_MESSAGES/cnsetuputil2.mo       ${RPM_BUILD_ROOT}%{_prefix}/share/locale/es/LC_MESSAGES
install -c -m 644 %{_libsarch}/fr/LC_MESSAGES/cnsetuputil2.mo       ${RPM_BUILD_ROOT}%{_prefix}/share/locale/fr/LC_MESSAGES
install -c -m 644 %{_libsarch}/it/LC_MESSAGES/cnsetuputil2.mo       ${RPM_BUILD_ROOT}%{_prefix}/share/locale/it/LC_MESSAGES
install -c -m 644 %{_libsarch}/zh_CN/LC_MESSAGES/cnsetuputil2.mo    ${RPM_BUILD_ROOT}%{_prefix}/share/locale/zh_CN/LC_MESSAGES
install -c -m 644 %{_libsarch}/ko/LC_MESSAGES/cnsetuputil2.mo       ${RPM_BUILD_ROOT}%{_prefix}/share/locale/ko/LC_MESSAGES
install -c -m 644 %{_libsarch}/zh_TW/LC_MESSAGES/cnsetuputil2.mo    ${RPM_BUILD_ROOT}%{_prefix}/share/locale/zh_TW/LC_MESSAGES
cd ..

#==== clean section ============================================================================================
%clean
rm -rf $RPM_BUILD_ROOT

%post -n cnrdrvcups-ufr2-uk
if [ -d /usr/lib64/cups ]; then
	if [ -d /usr/lib/cups ]; then
		cd /usr/lib/cups/backend
		ln -sf ../../../lib64/cups/backend/cnusbufr2 cnusbufr2
		cd /usr/lib/cups/filter
		ln -sf ../../../lib64/cups/filter/rastertoufr2 rastertoufr2
		ln -sf ../../../lib64/cups/filter/pdftocpca pdftocpca
	fi
fi
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi

%postun -n cnrdrvcups-ufr2-uk
if [ $1 = 0 ]; then
	if [ 1 -eq $(find %{_prefix}/share/cnpkbidir/ -maxdepth 0 -empty | wc -l) ]; then
		rm -rf %{_prefix}/share/cnpkbidir/
	fi
	if [ 1 -eq $(find %{_prefix}/share/ufr2filterr/ -maxdepth 0 -empty | wc -l) ]; then
		rm -rf %{_prefix}/share/ufr2filterr/
	fi
fi
if [ "$1" = 0 ] ; then
	cd /etc
	rm -rf cngplp2
	rm -rf %{_prefix}/share/cngplp2/
	rm -rf %{_prefix}/share/caepcm/ufr2/
fi
if [ $1 = 0 ]; then
	if [ -d /usr/lib64/cups ]; then
		if [ -d /usr/lib/cups ]; then
			cd /usr/lib/cups/backend
			rm -f cnusbufr2
			cd /usr/lib/cups/filter
			rm -f rastertoufr2
			rm -f pdftocpca
		fi
	fi
fi
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi

%post -n cnrdrvcups-ufr2-us
if [ -d /usr/lib64/cups ]; then
	if [ -d /usr/lib/cups ]; then
		cd /usr/lib/cups/backend
		ln -sf ../../../lib64/cups/backend/cnusbufr2 cnusbufr2
		cd /usr/lib/cups/filter
		ln -sf ../../../lib64/cups/filter/rastertoufr2 rastertoufr2
		ln -sf ../../../lib64/cups/filter/pdftocpca pdftocpca
	fi
fi
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi

%postun -n cnrdrvcups-ufr2-us
if [ $1 = 0 ]; then
	if [ 1 -eq $(find %{_prefix}/share/cnpkbidir/ -maxdepth 0 -empty | wc -l) ]; then
		rm -rf %{_prefix}/share/cnpkbidir/
	fi
	if [ 1 -eq $(find %{_prefix}/share/ufr2filterr/ -maxdepth 0 -empty | wc -l) ]; then
		rm -rf %{_prefix}/share/ufr2filterr/
	fi
fi
if [ "$1" = 0 ] ; then
	cd /etc
	rm -rf cngplp2
	rm -rf %{_prefix}/share/cngplp2/
	rm -rf %{_prefix}/share/caepcm/ufr2/
fi
if [ $1 = 0 ]; then
	if [ -d /usr/lib64/cups ]; then
		if [ -d /usr/lib/cups ]; then
			cd /usr/lib/cups/backend
			rm -f cnusbufr2
			cd /usr/lib/cups/filter
			rm -f rastertoufr2
			rm -f pdftocpca
		fi
	fi
fi
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi

%post -n cnrdrvcups-lipslx
if [ -d /usr/lib64/cups ]; then
	if [ -d /usr/lib/cups ]; then
		cd /usr/lib/cups/backend
		ln -sf ../../../lib64/cups/backend/cnusbufr2 cnusbufr2
		cd /usr/lib/cups/filter
		ln -sf ../../../lib64/cups/filter/rastertoufr2 rastertoufr2
		ln -sf ../../../lib64/cups/filter/pdftocpca pdftocpca
	fi
fi
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi

%postun -n cnrdrvcups-lipslx
if [ $1 = 0 ]; then
	if [ 1 -eq $(find %{_prefix}/share/cnpkbidir/ -maxdepth 0 -empty | wc -l) ]; then
		rm -rf %{_prefix}/share/cnpkbidir/
	fi
	if [ 1 -eq $(find %{_prefix}/share/ufr2filterr/ -maxdepth 0 -empty | wc -l) ]; then
		rm -rf %{_prefix}/share/ufr2filterr/
	fi
fi
if [ "$1" = 0 ] ; then
	cd /etc
	rm -rf cngplp2
	rm -rf %{_prefix}/share/cngplp2/
	rm -rf %{_prefix}/share/caepcm/ufr2/
fi
if [ $1 = 0 ]; then
	if [ -d /usr/lib64/cups ]; then
		if [ -d /usr/lib/cups ]; then
			cd /usr/lib/cups/backend
			rm -f cnusbufr2
			cd /usr/lib/cups/filter
			rm -f rastertoufr2
			rm -f pdftocpca
		fi
	fi
fi
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi

#==== files section ============================================================================================
#==== ufr2 uk ====
%files -n cnrdrvcups-ufr2-uk
%defattr(-,root,root)

%{_prefix}/share/locale/ja/LC_MESSAGES/cngplp2.mo
%{_prefix}/share/locale/de/LC_MESSAGES/cngplp2.mo
%{_prefix}/share/locale/es/LC_MESSAGES/cngplp2.mo
%{_prefix}/share/locale/fr/LC_MESSAGES/cngplp2.mo
%{_prefix}/share/locale/it/LC_MESSAGES/cngplp2.mo
%{_prefix}/share/locale/zh_CN/LC_MESSAGES/cngplp2.mo
%{_prefix}/share/locale/ko/LC_MESSAGES/cngplp2.mo
%{_prefix}/share/locale/zh_TW/LC_MESSAGES/cngplp2.mo
# cngplp
%{_prefix}/share/cngplp2/cngplp.glade
#
%{_prefix}/bin/cngplp2
%{_prefix}/bin/cnjatool2
%{_libdir}/cups/backend/cnusbufr2
%{_sysconfdir}/cngplp2/account
%{_sysconfdir}/cngplp2/options

%{_libdir}/libcaiowrapufr2.so*

%{_libdir}/libcaepcmufr2.so*
%{_libdir}/libcanon_slimufr2.so*

%{_prefix}/share/caepcm/ufr2/C*
%{_prefix}/share/cups/usb/canon-laser-printer_ufr2.usb-quirks
%{_libdir}/libColorGearCufr2.so*

%{_libdir}/libcnlbcmr.so*
%{_libdir}/libcanonufr2r.*
%{_libdir}/libufr2filterr.*
%{_libdir}/libcaiocnpkbidir.*
%{_bindir}/cnpkbidir
%{_bindir}/cnpkmoduleufr2r

%{_libdir}/cups/filter/rastertoufr2
%{_libdir}/cups/filter/pdftocpca
%{_bindir}/cnrsdrvufr2
%{_bindir}/cnjbigufr2
%{_bindir}/cnpdfdrv

%{_prefix}/share/cups/model/CNRCUPS*ZK.ppd
%{_prefix}/share/cnpkbidir/cnpkbidi*
%{_prefix}/share/ufr2filterr/ThLB*
# cngplp
%{_libdir}/libuictlufr2r.*
%{_prefix}/share/cngplp2/cngplp_ufr2.glade
%{_prefix}/share/cngplp2/CN*ZK.res
%{_prefix}/share/cngplp2/common_ufr2.res
%{_prefix}/share/cngplp2/func_config_ufr2.xml
%{_prefix}/share/locale/ja/LC_MESSAGES/libuictlufr2r*.mo
%{_prefix}/share/locale/fr/LC_MESSAGES/libuictlufr2r*.mo
%{_prefix}/share/locale/it/LC_MESSAGES/libuictlufr2r*.mo
%{_prefix}/share/locale/de/LC_MESSAGES/libuictlufr2r*.mo
%{_prefix}/share/locale/es/LC_MESSAGES/libuictlufr2r*.mo
%{_prefix}/share/locale/zh_CN/LC_MESSAGES/libuictlufr2r*.mo
%{_prefix}/share/locale/ko/LC_MESSAGES/libuictlufr2r*.mo
%{_prefix}/share/locale/zh_TW/LC_MESSAGES/libuictlufr2r*.mo

%{_prefix}/share/locale/ja/LC_MESSAGES/cnsetuputil2.mo
%{_prefix}/share/locale/de/LC_MESSAGES/cnsetuputil2.mo
%{_prefix}/share/locale/es/LC_MESSAGES/cnsetuputil2.mo
%{_prefix}/share/locale/fr/LC_MESSAGES/cnsetuputil2.mo
%{_prefix}/share/locale/it/LC_MESSAGES/cnsetuputil2.mo
%{_prefix}/share/locale/zh_CN/LC_MESSAGES/cnsetuputil2.mo
%{_prefix}/share/locale/ko/LC_MESSAGES/cnsetuputil2.mo
%{_prefix}/share/locale/zh_TW/LC_MESSAGES/cnsetuputil2.mo
%{_prefix}/bin/cnsetuputil2

#==== ufr2 us ====
%files -n cnrdrvcups-ufr2-us
%defattr(-,root,root)

%{_prefix}/share/locale/ja/LC_MESSAGES/cngplp2.mo
%{_prefix}/share/locale/de/LC_MESSAGES/cngplp2.mo
%{_prefix}/share/locale/es/LC_MESSAGES/cngplp2.mo
%{_prefix}/share/locale/fr/LC_MESSAGES/cngplp2.mo
%{_prefix}/share/locale/it/LC_MESSAGES/cngplp2.mo
%{_prefix}/share/locale/zh_CN/LC_MESSAGES/cngplp2.mo
%{_prefix}/share/locale/ko/LC_MESSAGES/cngplp2.mo
%{_prefix}/share/locale/zh_TW/LC_MESSAGES/cngplp2.mo
# cngplp
%{_prefix}/share/cngplp2/cngplp.glade
#
%{_prefix}/bin/cngplp2
%{_prefix}/bin/cnjatool2
%{_libdir}/cups/backend/cnusbufr2
%{_sysconfdir}/cngplp2/account
%{_sysconfdir}/cngplp2/options

%{_libdir}/libcaiowrapufr2.so*

%{_libdir}/libcaepcmufr2.so*
%{_libdir}/libcanon_slimufr2.so*

%{_prefix}/share/caepcm/ufr2/C*
%{_prefix}/share/cups/usb/canon-laser-printer_ufr2.usb-quirks
%{_libdir}/libColorGearCufr2.so*

%{_libdir}/libcnlbcmr.so*
%{_libdir}/libcanonufr2r.*
%{_libdir}/libufr2filterr.*
%{_libdir}/libcaiocnpkbidir.*
%{_bindir}/cnpkbidir
%{_bindir}/cnpkmoduleufr2r

%{_libdir}/cups/filter/rastertoufr2
%{_libdir}/cups/filter/pdftocpca
%{_bindir}/cnrsdrvufr2
%{_bindir}/cnjbigufr2
%{_bindir}/cnpdfdrv

%{_prefix}/share/cups/model/CNRCUPS*ZS.ppd
%{_prefix}/share/cnpkbidir/cnpkbidi*
%{_prefix}/share/ufr2filterr/ThLB*
# cngplp
%{_libdir}/libuictlufr2r.*
%{_prefix}/share/cngplp2/cngplp_ufr2.glade
%{_prefix}/share/cngplp2/CN*ZS.res
%{_prefix}/share/cngplp2/common_ufr2.res
%{_prefix}/share/cngplp2/func_config_ufr2.xml
%{_prefix}/share/locale/ja/LC_MESSAGES/libuictlufr2r*.mo
%{_prefix}/share/locale/fr/LC_MESSAGES/libuictlufr2r*.mo
%{_prefix}/share/locale/it/LC_MESSAGES/libuictlufr2r*.mo
%{_prefix}/share/locale/de/LC_MESSAGES/libuictlufr2r*.mo
%{_prefix}/share/locale/es/LC_MESSAGES/libuictlufr2r*.mo
%{_prefix}/share/locale/zh_CN/LC_MESSAGES/libuictlufr2r*.mo
%{_prefix}/share/locale/ko/LC_MESSAGES/libuictlufr2r*.mo
%{_prefix}/share/locale/zh_TW/LC_MESSAGES/libuictlufr2r*.mo

%{_prefix}/share/locale/ja/LC_MESSAGES/cnsetuputil2.mo
%{_prefix}/share/locale/de/LC_MESSAGES/cnsetuputil2.mo
%{_prefix}/share/locale/es/LC_MESSAGES/cnsetuputil2.mo
%{_prefix}/share/locale/fr/LC_MESSAGES/cnsetuputil2.mo
%{_prefix}/share/locale/it/LC_MESSAGES/cnsetuputil2.mo
%{_prefix}/share/locale/zh_CN/LC_MESSAGES/cnsetuputil2.mo
%{_prefix}/share/locale/ko/LC_MESSAGES/cnsetuputil2.mo
%{_prefix}/share/locale/zh_TW/LC_MESSAGES/cnsetuputil2.mo
%{_prefix}/bin/cnsetuputil2

#==== lipslx ====
%files -n cnrdrvcups-lipslx

%{_prefix}/share/locale/ja/LC_MESSAGES/cngplp2.mo
%{_prefix}/share/locale/de/LC_MESSAGES/cngplp2.mo
%{_prefix}/share/locale/es/LC_MESSAGES/cngplp2.mo
%{_prefix}/share/locale/fr/LC_MESSAGES/cngplp2.mo
%{_prefix}/share/locale/it/LC_MESSAGES/cngplp2.mo
%{_prefix}/share/locale/zh_CN/LC_MESSAGES/cngplp2.mo
%{_prefix}/share/locale/ko/LC_MESSAGES/cngplp2.mo
%{_prefix}/share/locale/zh_TW/LC_MESSAGES/cngplp2.mo
# cngplp
%{_prefix}/share/cngplp2/cngplp.glade
#
%{_prefix}/bin/cngplp2
%{_prefix}/bin/cnjatool2
%{_libdir}/cups/backend/cnusbufr2
%{_sysconfdir}/cngplp2/account
%{_sysconfdir}/cngplp2/options

%{_libdir}/libcaiowrapufr2.so*

%{_libdir}/libcaepcmufr2.so*
%{_libdir}/libcanon_slimufr2.so*

%{_prefix}/share/caepcm/ufr2/C*
%{_prefix}/share/cups/usb/canon-laser-printer_ufr2.usb-quirks
%{_libdir}/libColorGearCufr2.so*

%defattr(-,root,root)
%{_libdir}/libcnlbcmr.so*
%{_libdir}/libcanonufr2r.*
%{_libdir}/libufr2filterr.*
%{_libdir}/libcaiocnpkbidir.*
%{_bindir}/cnpkbidir
%{_bindir}/cnpkmoduleufr2r

%{_libdir}/cups/filter/rastertoufr2
%{_libdir}/cups/filter/pdftocpca
%{_bindir}/cnrsdrvufr2
%{_bindir}/cnjbigufr2
%{_bindir}/cnpdfdrv

%{_prefix}/share/cups/model/CNRCUPS*ZJ.ppd
%{_prefix}/share/cnpkbidir/cnpkbidi*
%{_prefix}/share/ufr2filterr/ThLB*
# cngplp
%{_libdir}/libuictlufr2r.*
%{_prefix}/share/cngplp2/cngplp_ufr2.glade
%{_prefix}/share/cngplp2/CN*ZJ.res
%{_prefix}/share/cngplp2/common_ufr2.res
%{_prefix}/share/cngplp2/func_config_ufr2.xml
%{_prefix}/share/locale/ja/LC_MESSAGES/libuictlufr2r*.mo
%{_prefix}/share/locale/fr/LC_MESSAGES/libuictlufr2r*.mo
%{_prefix}/share/locale/it/LC_MESSAGES/libuictlufr2r*.mo
%{_prefix}/share/locale/de/LC_MESSAGES/libuictlufr2r*.mo
%{_prefix}/share/locale/es/LC_MESSAGES/libuictlufr2r*.mo
%{_prefix}/share/locale/zh_CN/LC_MESSAGES/libuictlufr2r*.mo
%{_prefix}/share/locale/ko/LC_MESSAGES/libuictlufr2r*.mo
%{_prefix}/share/locale/zh_TW/LC_MESSAGES/libuictlufr2r*.mo

%{_prefix}/share/locale/ja/LC_MESSAGES/cnsetuputil2.mo
%{_prefix}/share/locale/de/LC_MESSAGES/cnsetuputil2.mo
%{_prefix}/share/locale/es/LC_MESSAGES/cnsetuputil2.mo
%{_prefix}/share/locale/fr/LC_MESSAGES/cnsetuputil2.mo
%{_prefix}/share/locale/it/LC_MESSAGES/cnsetuputil2.mo
%{_prefix}/share/locale/zh_CN/LC_MESSAGES/cnsetuputil2.mo
%{_prefix}/share/locale/ko/LC_MESSAGES/cnsetuputil2.mo
%{_prefix}/share/locale/zh_TW/LC_MESSAGES/cnsetuputil2.mo
%{_prefix}/bin/cnsetuputil2
